/**
 * The starting point for running scroll
 */

export enum RunTime {
	Bun = 'bun',
	Deno = 'deno',
	Unknown = 'common',
}

import { importForRuntime } from './common/mod.ts';

/**
 * Determine the runtime strategy, and go!
 */
(async () => {
	const { main } = await importForRuntime('./mod.ts');
	await main();
})();
